Bug 964829 - [abrt] gnome-packagekit-3.6.2-1.fc18: g_unichar_get_script: Process /usr/bin/gpk-update-viewer was killed by signal 11 (SIGSEGV)
[abrt] gnome-packagekit-3.6.2-1.fc18: g_unichar_get_script: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:d5e2ae87cc20d0a0d1bd774025f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 15:17 EDT by Russell Harrison
Modified: 2014-02-05 16:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:27:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.65 KB, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: cgroup (131 bytes, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: core_backtrace (2.97 KB, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: dso_list (10.18 KB, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: environ (3.34 KB, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: maps (51.46 KB, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: open_fds (742 bytes, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-05-19 15:17 EDT, Russell Harrison
no flags Details

  None (edit)
Description Russell Harrison 2013-05-19 15:17:32 EDT
Description of problem:
I triggered the SIGSEGV in the hopes it would be helpful in debuggin Bug 909761.

Version-Release number of selected component:
gnome-packagekit-3.6.2-1.fc18

Additional info:
backtrace_rating: 4
cmdline:        gpk-update-viewer --verbose
crash_function: g_unichar_get_script
executable:     /usr/bin/gpk-update-viewer
kernel:         3.8.9-200.fc18.x86_64
uid:            1000
ureports_counter: 1
var_log_messages: May 19 14:56:20 rharriso-t61p abrt[6277]: Saved core dump of pid 982 (/usr/bin/gpk-update-viewer) to /var/tmp/abrt/ccpp-2013-05-19-14:56:19-982 (37974016 bytes)
xsession_errors: (gpk-update-viewer:23955): Gdk-WARNING **: gpk-update-viewer: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_unichar_get_script at guniprop.c:1318
 #1 pango_script_for_unichar at pango-script.c:82
 #2 pango_script_iter_next at pango-script.c:260
 #3 _pango_script_iter_init at pango-script.c:104
 #4 itemize_state_init at pango-context.c:909
 #5 pango_itemize_with_base_dir at pango-context.c:1530
 #6 pango_layout_check_lines at pango-layout.c:3887
 #8 pango_layout_get_extents_internal at pango-layout.c:2491
 #9 pango_layout_get_extents at pango-layout.c:2673
 #10 gtk_cell_renderer_text_get_preferred_width at gtkcellrenderertext.c:2160
Comment 1 Russell Harrison 2013-05-19 15:17:35 EDT
Created attachment 750265 [details]
File: backtrace
Comment 2 Russell Harrison 2013-05-19 15:17:37 EDT
Created attachment 750266 [details]
File: cgroup
Comment 3 Russell Harrison 2013-05-19 15:17:38 EDT
Created attachment 750267 [details]
File: core_backtrace
Comment 4 Russell Harrison 2013-05-19 15:17:40 EDT
Created attachment 750268 [details]
File: dso_list
Comment 5 Russell Harrison 2013-05-19 15:17:42 EDT
Created attachment 750269 [details]
File: environ
Comment 6 Russell Harrison 2013-05-19 15:17:44 EDT
Created attachment 750270 [details]
File: limits
Comment 7 Russell Harrison 2013-05-19 15:17:46 EDT
Created attachment 750271 [details]
File: maps
Comment 8 Russell Harrison 2013-05-19 15:17:48 EDT
Created attachment 750272 [details]
File: open_fds
Comment 9 Russell Harrison 2013-05-19 15:17:49 EDT
Created attachment 750273 [details]
File: proc_pid_status
Comment 10 Fedora End Of Life 2013-12-21 08:37:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2014-02-05 16:27:15 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.